/* sgroup.h
 *
 * main declarations for Scan Newsgroup section
 */

/* if true, SGROUP controls the newsgroup-level commands */
EXT bool sg_loop		INIT(FALSE);
/* if true, SGROUP is initialized */
EXT bool sg_initialized		INIT(FALSE);

EXT bool sg_changed_newsrc	INIT(FALSE);
/* if true, set_toread will not print common error messages */
EXT bool sg_quiet_toread	INIT(FALSE);

/* last entry to be read */
EXT long sg_lastent_read	INIT(0);
EXT char *sg_fakecmd		INIT((char*)NULL);

/* return codes */
#define SG_QUIT (-1)
#define SG_ERR (-2)
#define SG_FAKE (-3)
#define SG_RETURN (-4)

EXT int sg_ngstatus		INIT(0);

int	sg_main		ANSI((void));
bool	sg_init		ANSI((void));
int	sg_continue	ANSI((void));
