			     -*- Text -*-
		    Changes from GNUS Version 3.13

			    Masanobu UMEDA
		       umerin@mse.kyutech.ac.jp
		     Tue Mar  2 00:44:59 JST 1993

* GNUS 3.14.4 General Release Note

Refer to "GNUS 3.14.3 General Release Note".

** NOT YET IMPLEMENTED

XOVER support and article caching in nntp.el are in the TO-DO list.

** Simple MIME processing is supported.

The variable gnus-show-mime-method specifies a function to process a
MIME message in current buffer.  The default is the function
metamail-buffer in metamail.el.  It displays a MIME message through
metamail.

The command gnus-Subject-toggle-mime toggles the MIME processing.

** gnus-Subject-refer-article and gnus-Subject-refer-parent-article
work with mhspool, and it may run faster in nnspool.

** Automatic re-connection of NNTP stream is supported.

** The variable gnus-default-distribution and/or gnus-distribution-list
are removed, and the variable gnus-local-distributions is instead
added.

gnus-local-distributions must be a list of possible distribution
names.  The first element in the list is used as default.  If
distributions file is available, its content is also used as
distributions.  In this case, gnus-local-distributions can be nil.

** Faster mhspool

The variable mhspool-list-folders-method is provided to customize the
method listing folders.  The function mhspool-list-folders-using-ls
and the function mhspool-list-folders-using-sh are provided now.  I
suppose the later is faster.  Thanks to tanaka@flab.fujitsu.co.jp.

** Improve hash table management

Hash tables are managed better for performance improvements.

** New summary sorting functions

Key sort technique is introduced to improve performance.  Conventional
sorting functions are still included.

** Alist syntax of gnus-Info-nodes and gnus-access-methods is changed.

======================================================================

* GNUS 3.14.3 General Release Note

Gnus 3.14 is going to be included as part of GNU Emacs version 19.
The names of many functions and variables will be changed in the final
version from those of version 3.14.3.  It is no recommended to
distribute this test version widely.

======================================================================

Changes for GNU Emacs 19.

** All commands and variables named
gnus-{Group,Subject,Article,Kill,Browse-killed,Digest}-* WILL be
renamed to gnus-{group,summary,article,kill,browse-killed,digest}-*,
respectively.

These changes WILL be done after finishing all other changes for GNU
Emacs 19 for easy of document and source synchronization.

** Action names of gnus-window-configuration are changed.

SelectNewsgroup, ExitNewsgroup, and SelectArticle are renamed to
summary, newsgroups, and article.  ExpandSubject is removed (use
summary, instead).

** Commands in Group mode are moved.

C-c C-y to C-c C-l.

** Commands in Summary mode are moved.

M-S to M-r.
M-r to M-^.
G to C-x C-s.

** Commands are renamed.

gnus-Browse-killed-groups to gnus-list-killed-groups.
gnus-Subject-post-reply to gnus-Subject-followup.
gnus-Subject-post-reply-with-original to gnus-Subject-followup-with-original.
gnus-Subject-mail-reply to gnus-Subject-reply.
gnus-Subject-mail-reply-with-original to gnus-Subject-reply-with-original.
gnus-Article-show-subjects to gnus-Article-show-summary.

** Variables are renamed.

gnus-auto-center-subject is renamed to gnus-auto-center-summary.

** The variable gnus-save-all-headers is defaulted to t.

** Subject mode/window/buffer are now called Summary mode/window/buffer.

======================================================================

Changed before GNU Emacs 19.

** The internal variables gnus-newsrc-assoc, gnus-marked-assoc, and
gnus-killed-assoc have their associated hash tables.

Alist and its hash table should be consistent.  This change may affect
many of user contributed codes.  In stead, gnus runs faster!

** The hook gnus-Prepare-article-hook is added.

This hook is called with no arguments after preparing message body,
but before preparing header fields which is automatically generated if
its value is non-nil.  Text changes made by this hook does not affect
on the editing text.  The default hook inserts a signature file.
Thus, signature hacking is now easily customizable.

** FCC processing is now done in gnus-Inews-article-hook.

The hook gnus-Inews-article-hook does FCC which saves an article to
the specified file or sends it to the command.

** The variable gnus-ignored-newsgroups is added.

The variable is intended to specify uninterested newsgroups in the
active file.  Newsgroups matching with this regexp are totally
ignored.

** The variable gnus-required-headers is added.

The variables is intended to specify header fields included in an
article you will post.  If you are using Cnews, Date may have to be
removed and Lines to be added.

** The variable gnus-default-distribution is removed, and the variable
gnus-distribution-list is instead added. (OBSOLETE)

** The variable gnus-interactive-catchup is added.

If you set the variable to nil, gnus-Group-catchup* commands don't
require your confirmation.

** Some commands are renamed.

gnus-Group-catch-up to gnus-Group-catchup.
gnus-Group-catch-up-all to gnus-Group-catchup-all.

gnus-Subject-catch-up to gnus-Subject-catchup.
gnus-Subject-catch-up-all to gnus-Subject-catchup-all.
gnus-Subject-catch-up-and-exit to gnus-Subject-catchup-and-exit.
gnus-Subject-catch-up-all-and-exit to gnus-Subject-catchup-all-and-exit.

** Message forwarding command is added.

The command gnus-Subject-mail-forward is for forwarding messages using
mail.  The variable gnus-mail-forward-method specifies mail system to
compose the messages.  The default is sendmail of Emacs.  There are
methods for MHE.  There is no method for VM.  Your contribution is
welcome.

** The variable gnus-mail-send-method is added.

Specifies a function to mail a message too before posting it as an
article if it has To: or Cc: field.

** The variable gnus-auto-mail-to-author is added.

Insert To: field when following up if non-nil.

** The variables gnus-your-domain and gnus-your-organization are renamed.

gnus-your-domain is renamed to gnus-local-domain, and
gnus-your-organization is renamed to gnus-local-organization.  Version
3.14 still understands the old variables, but this compatibility hack
will removed in the future release.

** The variable gnus-local-timezone is added.

If the variable is non-nil and it is correct, correct Date: field will
be generated.  If you are using Cnews, this helps you a lot.

** timezone.el is added.

A general timezone handling utility is added to GNUS distribution.
The package is used for making a date into sortable string and
generating date in GMT.  This package is also used in rmailsort.el
which is a Rmail messages sorter (will be included in Emacs version
19).

** Subject and Article mode line format are changed.

** options line bug is fixed.

"!abc" never matches with "abcdef".

** Save file name does the right thing.

For example, newsgroup "news.group" is capitalized to "News.group" but
not to "News.Group" by gnus-{Numeric,Plain,Folder}-save-name functions
like rn does.

** Other small but important improvements.
